<?xml version="1.0" encoding="UTF-8"?>
<config id="service" modified="2010-10-31T00:10:45:737" version="2">
  <logPropertiesFile>conf/my.log.properties</logPropertiesFile>
  <serviceLog>
    <fileHandler append="true" count="2" limit="26214400" pattern="log/service.log"/>
  </serviceLog>
  <historyLog>
    <fileHandler append="true" count="10" limit="524288" pattern="log/history.log"/>
  </historyLog>
  <userIdleDelay>900000</userIdleDelay>
  <channelPartner>true</channelPartner>
  <systrayOnStartup>true</systrayOnStartup>
  <location>0.0.0.0:4242</location>
  <helpNovice>STILL_RUNNING</helpNovice>
  <serviceUIConfig>
    <serviceHost>127.0.0.1</serviceHost>
    <servicePort>4243</servicePort>
    <connectCheck>0</connectCheck>
    <showFullFilePath>false</showFullFilePath>
    <autoLogin>true</autoLogin>
    <locale nil="true"/>
  </serviceUIConfig>
  <servicePeerConfig>
    <authority address="nl.crashplan.nl:4282" registrationKey="TK4P-MU8P-7M2C-SSTW" />
    <lastKnownVersion nil="true"/>
    <upgradeVersion nil="true"/>
    <upgradePath>upgrade</upgradePath>
    <upgradeDelay>15000</upgradeDelay>    
    <inboundWorkers>4</inboundWorkers>
    <inboundMessageBufferSize>2097152</inboundMessageBufferSize>
    <outboundMessageBufferSize>1310720</outboundMessageBufferSize>
    <centralConfig>
      <websiteHost nil="true"/>
    </centralConfig>
    <listenForBackup>true</listenForBackup>
  </servicePeerConfig>
  <serviceBackupConfig>
  	<backupFilesLog>
    	<fileHandler append="true" count="2" limit="26214400" pattern="log/backup_files.log"/>
  	</backupFilesLog>
  	<restoreFilesLog>
    	<fileHandler append="false" count="1" limit="1073741824" pattern="log/restore_files.log"/>
  	</restoreFilesLog>
    <highBandwidthRate>0.0</highBandwidthRate>
    <lowBandwidthRate>0.0</lowBandwidthRate>
    <tcpTrafficClass>LOWCOST</tcpTrafficClass>
    <tcpNoDelay>true</tcpNoDelay>
    <notifyDeliveryTime>ANY</notifyDeliveryTime>
    <warningEmailEnabled>false</warningEmailEnabled>
    <minutesUntilWarning>4320</minutesUntilWarning>
    <severeEmailEnabled>false</severeEmailEnabled>
    <minutesUntilSevere>7200</minutesUntilSevere>
    <backupStatusEmailEnabled>false</backupStatusEmailEnabled>
    <backupStatusEmailFreqInMinutes>10080</backupStatusEmailFreqInMinutes>
    <warningTwitterEnabled>false</warningTwitterEnabled>
    <warningTwitterAfterMinutes>4320</warningTwitterAfterMinutes>
    <severeTwitterEnabled>false</severeTwitterEnabled>
    <severeTwitterAfterMinutes>7200</severeTwitterAfterMinutes>
    <backupStatusTwitterEnabled>false</backupStatusTwitterEnabled>
    <backupStatusTwitterFreqInMinutes>1440</backupStatusTwitterFreqInMinutes>
    <backupRunWindow>
      <runWindow always="true" endTimeOfDay="06:00" startTimeOfDay="01:00"/>
    </backupRunWindow>
    <!-- Uncomment to disable the private data password feature. <disableDataPassword>true</disableDataPassword> -->
    <hiddenFiles>
      <patternList> 
          <pattern regex=".*/\..*"/> 
          <pattern regex="(?i).*\.tmp"/>   
          <pattern regex="(?i).*/temp/"/>
          <pattern regex="(?i).*/tmp/"/>      
          <windows>
            <pattern regex="(?i).:/Config\.Msi/"/>
            <pattern regex=".:/ProgramData/"/>
            <pattern regex=".*Thumbs\.db"/>            
            <pattern regex=".*/Local Settings/History/"/>
            <pattern regex=".*/NetHood/"/>
            <pattern regex=".*/PrintHood/"/>
            <pattern regex=".*/Cookies/"/>
            <pattern regex=".*/Recent/"/>
            <pattern regex=".*/SendTo/"/>
            <pattern regex=".*/LocalService/"/>
            <pattern regex=".*/NetworkService/"/>
            <pattern regex=".*/Start Menu/"/>
            <pattern regex="(?i).*/NTUSER.*"/>
            <pattern regex="(?i).:/WINDOWS/"/>
            <pattern regex="(?i).:/autoexec.bat"/>
          </windows>  
          <macintosh>
          	<!-- http://www.westwind.com/reference/OS-X/invisibles.html -->
            <pattern regex="/bin/"/>
            <pattern regex="/etc/"/>            
            <pattern regex="/sbin/"/>
            <pattern regex="/usr/"/>
            <pattern regex="/sw/"/>
            <pattern regex="/System/"/>
            <pattern regex="/private/"/>
            <pattern regex="/Desktop DB"/>
            <pattern regex="/Desktop DF"/>
          </macintosh>
          <linux>
          	<pattern regex="/bin/"/>
          	<pattern regex="/boot/"/>
          	<pattern regex="/etc/"/>
          	<pattern regex="/initrd/"/>
          	<pattern regex="/lib/"/>
          	<pattern regex="/opt/"/>
          	<pattern regex="/sbin/"/>
          	<pattern regex="/usr/"/>
          	<pattern regex="/var/"/>          	
          	<pattern regex="/srv/"/>
          </linux>
          <solaris>
          	<pattern regex="/bin/"/>
          	<pattern regex="/boot/"/>
          	<pattern regex="/etc/"/>
          	<pattern regex="/initrd/"/>
          	<pattern regex="/lib/"/>
          	<pattern regex="/opt/"/>
          	<pattern regex="/sbin/"/>
          	<pattern regex="/usr/"/>
          	<pattern regex="/var/"/>          	
          	<pattern regex="/srv/"/>
          </solaris>          
      </patternList>    	
    </hiddenFiles>
    <backupStatus>SAFE</backupStatus>
    <backupStatusSent>false</backupStatusSent>
    <backupConfig>
      <backupPaths>           
        <pathset>
          <paths/>
        </pathset>
        <excludeUser>
          <patternList/>
        </excludeUser>
        <excludeSystem>
  	      <patternList>
  	        <pattern regex=".*/(?:42|\d{8,})/(?:cp|~).*"/>
  	        <pattern regex="(?i).*/CrashPlan.*/(?:cache|conf|manifest|upgrade)/.*"/>
  	        <pattern regex=".*\.part"/>
  	        <pattern regex=".*/iPhoto Library/iPod Photo Cache/.*"/>
  	        <pattern regex=".*\.cprestoretmp.*"/>
  	        <windows>
	          <pattern regex="(?i).*\$RECYCLE\.BIN/.*"/>
	          <pattern regex=".*/System Volume Information/.*"/>
	          <pattern regex=".*/RECYCLER/.*"/>
  	          <pattern regex=".*/I386.*"/>
  	          <pattern regex=".*/pagefile.sys"/>
  	          <pattern regex=".*/MSOCache.*"/>
  	          <pattern regex=".*UsrClass\.dat\.LOG.*"/>
  	          <pattern regex=".*UsrClass\.dat"/>
  	          <pattern regex=".*/Temporary Internet Files/.*"/>
  	          <pattern regex="(?i).*/ntuser.dat.*"/>
  	          <pattern regex=".*/Local Settings/Temp.*"/>
  	          <pattern regex=".*/AppData/Local/Temp.*"/>
  	          <pattern regex=".*/AppData/Temp.*"/>
  	          <pattern regex=".*/Windows/Temp.*"/>
  	          <pattern regex="(?i).*/Microsoft.*/Windows/.*\.log"/>
  	          <pattern regex=".*/Microsoft.*/Windows/Cookies.*"/> 
  	          <pattern regex=".*/Microsoft.*/RecoveryStore.*"/> 	            	          
  	        </windows>
  	        <macintosh>
  	          <pattern regex="/dev/.*"/>
  	          <pattern regex=".*\.Trash.*"/>
  	          <pattern regex="/\.vol/.*"/>
  	          <pattern regex="/mach.sym"/>
  	          <pattern regex="/mach_kernel"/>
  	          <pattern regex=".*\.hotfiles\.btree.*"/>
  	          <pattern regex=".*/Trash/.*"/>
  	          <pattern regex=".*/Network Trash Folder/.*"/>
  	          <pattern regex=".*/VM Storage"/>
  	          <pattern regex=".*\.fseventsd.*"/>
  	          <pattern regex=".*/Library/Caches/.*"/>
  	          <pattern regex=".*\.Spotlight-.*/.*"/>
  	          <pattern regex="/Network/.*"/>
  	          <pattern regex="/tmp/.*"/>
  	          <pattern regex="/cores/.*"/>
  	          <pattern regex="/afs/.*"/>
  	          <pattern regex="/automount/.*"/>
  	          <pattern regex="/private/Network/.*"/>
  	          <pattern regex="/private/tmp/.*"/>
  	          <pattern regex="/private/var/tmp/.*"/>
  	          <pattern regex="/private/var/folders/.*"/>
  	          <pattern regex="/private/var/run/.*"/>
  	          <pattern regex="/private/var/spool/postfix/.*"/>
  	          <pattern regex="/private/var/vm/.*"/>
  	          <pattern regex="/Previous Systems.*"/>
  	          <pattern regex=".*/lost+found/.*"/>
  	          <pattern regex=".*/Microsoft User Data/Entourage Temp/.*"/>
  	          <pattern regex=".*/iP.* Software Updates/.*"/>
  	          <pattern regex=".*/Library/Application Support/SyncServices/.*"/>
  	          <pattern regex=".*/Library/Logs/.*"/>
  	          <pattern regex=".*/Library/Mail/Envelope Index"/>
  	          <pattern regex=".*/Library/Mail/AvailableFeeds/.*"/>
  	          <pattern regex=".*/Library/Mirrors/.*"/>
  	          <pattern regex=".*/Library/PubSub/Database/.*"/>
  	          <pattern regex=".*/Library/PubSub/Downloads/.*"/>
  	          <pattern regex=".*/Library/PubSub/Feeds/.*"/>
  	          <pattern regex=".*/Library/Safari/Icons.db"/>
  	          <pattern regex=".*/Library/Safari/WebpageIcons.db"/>
  	          <pattern regex=".*/Library/Safari/HistoryIndex.sk"/>
  	          <pattern regex=".*/Library/Calendars/Calendar Cache"/>  	            	            	         
  	        </macintosh>
 	        <linux>
  	          <pattern regex="/sys/.*"/>
  	          <pattern regex="/dev/.*"/>
  	          <pattern regex="/proc/.*"/>
	          <pattern regex="/tmp/.*"/>
	          <pattern regex=".*/lost+found/.*"/>
  	        </linux>
 	        <solaris>
  	          <pattern regex="/sys/.*"/>
  	          <pattern regex="/dev/.*"/>
  	          <pattern regex="/proc/.*"/>
	          <pattern regex="/tmp/.*"/>
	          <pattern regex=".*/lost+found/.*"/>
  	        </solaris>  	        
  	      </patternList>
        </excludeSystem>
        <manualFileWatchPatterns>
          <patternList>
            <macintosh>
              <pattern regex=".*/Microsoft User Data/Office.*Identities/.*/Database.*"/>
            </macintosh>
          </patternList>
        </manualFileWatchPatterns>        
      </backupPaths>
      <cachePath>cache</cachePath>
      <manifestPath>manifest</manifestPath>
      <blockSize>32768</blockSize>
      <minimumBlockSize>8192</minimumBlockSize>
      <numberOfBlockSizes>3</numberOfBlockSizes>
      <unlimitedVersions>true</unlimitedVersions>
      <maxVersions>5</maxVersions>
      <keepDeleted>true</keepDeleted>
      <keepDeletedMinutes>10080</keepDeletedMinutes>     
      <scanInterval>86400000</scanInterval>
      <verifyInterval>604800000</verifyInterval>
      <watchFiles>true</watchFiles>
      <backupOpenFiles>true</backupOpenFiles>
      <watcherNoActivityInterval>900000</watcherNoActivityInterval>
      <fileRetryDelay>3600000</fileRetryDelay>
      <numBackupWorkers>4</numBackupWorkers>
      <scanTime>03:00</scanTime>
      <handlerFile>conf/default.handlers</handlerFile>
      <idleThrottleRate>80</idleThrottleRate>
      <activeThrottleRate>20</activeThrottleRate>
    </backupConfig>
  </serviceBackupConfig>
  <socialNetworkConfig>
    <computerConfigs/>
    <userConfigs/>
  </socialNetworkConfig>
  <libraryPath>lib</libraryPath>
</config>
